Bug 1442577 - apcupsd control script does not invoke shutdown properly - AGAIN
Summary: apcupsd control script does not invoke shutdown properly - AGAIN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apcupsd
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-15 21:21 UTC by Jorge Fábregas
Modified: 2017-05-23 21:25 UTC (History)
2 users (show)

Fixed In Version: apcupsd-3.14.14-5.fc26 apcupsd-3.14.14-5.fc25 apcupsd-3.14.14-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 21:25:03 UTC


Attachments (Terms of Use)

Description Jorge Fábregas 2017-04-15 21:21:14 UTC
Description of problem:


I'm running the latest apcupsd package apcupsd-3.14.14-2.fc25.x86_64 and after a recent power failure, I've noticed something was wrong with apcupsd due to the fact that my computer didn't come back on when power was restored.  This is due to the missing "halt" option for the shutdown command in the following block from /etc/apcupsd/apccontrol:

------------------------------
   doshutdown)
        echo "UPS ${2} initiated Shutdown Sequence" | ${WALL}
        ${SHUTDOWN} -h now "apcupsd UPS ${2} initiated shutdown"
    ;;
------------------------------


It should read:

------------------------------
   doshutdown)
        echo "UPS ${2} initiated Shutdown Sequence" | ${WALL}
        ${SHUTDOWN} -h -H now "apcupsd UPS ${2} initiated shutdown"
    ;;
------------------------------

This is a regression.  Please take a look at this:


https://bugzilla.redhat.com/show_bug.cgi?id=348701


This option has been there (and working properly) since Fedora 7 all the way up until Fedora 24.

Comment 1 Eric Sandeen 2017-04-17 13:21:00 UTC
Huh .... I guess?  Seems that properly configuring the bios for such critical machines would be best, though, no?

Comment 2 Eric Sandeen 2017-04-17 13:31:46 UTC
OK, reading up on the shutdown process at http://www.apcupsd.org/manual/manual.html#the-shutdown-sequence-and-its-discontents I guess this makes a little more sense.

Comment 3 Eric Sandeen 2017-04-17 13:32:41 UTC
OK, reading up on the shutdown process at http://www.apcupsd.org/manual/manual.html#the-shutdown-sequence-and-its-discontents I guess this makes a little more sense.

Comment 4 Jason Tibbitts 2017-04-17 15:09:44 UTC
There was a patch that got dropped in the reorganization; I had looked at it but in my testing it doesn't appear to make any difference and of course there was no indication of why it was needed.  It's trivial for me to put it back.

Comment 5 Fedora Update System 2017-04-17 21:29:29 UTC
apcupsd-3.14.14-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba7ae1fb14

Comment 6 Fedora Update System 2017-04-17 21:29:38 UTC
apcupsd-3.14.14-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d8c2c5b50

Comment 7 Fedora Update System 2017-04-18 13:22:48 UTC
apcupsd-3.14.14-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba7ae1fb14

Comment 8 Fedora Update System 2017-04-18 19:53:36 UTC
apcupsd-3.14.14-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d8c2c5b50

Comment 9 Jason Tibbitts 2017-05-04 20:08:49 UTC
I went ahead and pushed this to stable, but it would have been nice had you tested it and given feedback.  The tone of your report made it seem as if this was an urgent matter.

Comment 10 Fedora Update System 2017-05-04 20:33:35 UTC
apcupsd-3.14.14-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d1027a1878

Comment 11 Fedora Update System 2017-05-05 13:33:16 UTC
apcupsd-3.14.14-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-05 18:59:01 UTC
apcupsd-3.14.14-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-06 04:56:22 UTC
apcupsd-3.14.14-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d1027a1878

Comment 14 Fedora Update System 2017-05-23 21:25:03 UTC
apcupsd-3.14.14-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.